%define typescript_version     4.1.3
%if "%{?dist}" == ".el7"
%define nodejs_version         14.15.1
%define nodejs_next_version    17.0.0
%define usrDir                 usr
%else
%define nodejs_version         1:14.15.4
%define nodejs_next_version    1:17.0.0
%define usrDir                 usr/local
%endif
%define instDir                /%{usrDir}/lib


Name:       oci-typescript-sdk		
Version:	2.63.0
Release: 1%{?dist}
Group:		Oracle Cloud Infrastructure
Summary:    Oracle Cloud Infrastructure SDK for Typescript and JavaScript
License:	UPL 1.0 and Apache 2.0 
URL:		https://github.com/oracle/oci-typescript-sdk
Source0:	%{name}-%{version}.tar.bz2
Patch0:     tsconfig.json.patch
Buildarch:  noarch
AutoReq:    no

BuildRequires:	nodejs >= %{nodejs_version} 
BuildRequires:	nodejs < %{nodejs_next_version} 
Requires:	nodejs >= %{nodejs_version} 
Requires:	nodejs < %{nodejs_next_version} 
Requires:	typescript >= %{typescript_version} 


%description
The oci-typescript-sdk provides Oracle Cloud Infrastructure SDK for Typescript and Javascript 
that you can use to manage your Oracle Cloud Infrastructure resources.
 
%prep
%setup -q -n %{name}-%{version}

%build
unset https_proxy
unset http_proxy
npm config set registry "https://artifactory.oci.oraclecorp.com/api/npm/global-release-npm"
npm config set @types:registry "https://artifactory.oci.oraclecorp.com/api/npm/global-release-npm"
npm cache clean --force
npm config set prefix ./global 
npm install oci-sdk@%{version} -g

%check 
#make unit-ttest

%install
mkdir -p %{buildroot}/%{usrDir}
cp -rf  global/lib %{buildroot}/%{usrDir}

%files
%{instDir}/node_modules/*
%doc *.txt *.md examples/


%changelog
* Tue Jun 27 2023 EL Errata <el-errata_ww@oracle.com> 2.63.0-1
- Update to 2.63.0

* Tue Jun 20 2023 EL Errata <el-errata_ww@oracle.com> 2.62.3-1
- Update to 2.62.3

* Tue Jun 13 2023 EL Errata <el-errata_ww@oracle.com> 2.62.2-1
- Update to 2.62.2

* Tue Jun 06 2023 EL Errata <el-errata_ww@oracle.com> 2.62.1-1
- Update to 2.62.1

* Tue May 30 2023 EL Errata <el-errata_ww@oracle.com> 2.62.0-1
- Update to 2.62.0

* Tue May 23 2023 EL Errata <el-errata_ww@oracle.com> 2.61.0-1
- Update to 2.61.0

* Tue May 16 2023 EL Errata <el-errata_ww@oracle.com> 2.60.0-1
- Update to 2.60.0

* Tue May 09 2023 EL Errata <el-errata_ww@oracle.com> 2.59.1-1
- Update to 2.59.1

* Tue May 02 2023 EL Errata <el-errata_ww@oracle.com> 2.59.0-1
- Update to 2.59.0

* Tue Apr 25 2023 EL Errata <el-errata_ww@oracle.com> 2.58.1-1
- Update to 2.58.1

* Tue Apr 18 2023 EL Errata <el-errata_ww@oracle.com> 2.58.0-1
- Update to 2.58.0

* Tue Apr 11 2023 EL Errata <el-errata_ww@oracle.com> 2.57.0-1
- Update to 2.57.0

* Tue Apr 04 2023 EL Errata <el-errata_ww@oracle.com> 2.56.0-1
- Update to 2.56.0

* Tue Mar 28 2023 EL Errata <el-errata_ww@oracle.com> 2.55.1-1
- Update to 2.55.1

* Tue Mar 21 2023 EL Errata <el-errata_ww@oracle.com> 2.55.0-1
- Update to 2.55.0

* Tue Mar 14 2023 EL Errata <el-errata_ww@oracle.com> 2.54.1-1
- Update to 2.54.1

* Tue Mar 07 2023 EL Errata <el-errata_ww@oracle.com> 2.54.0-1
- Update to 2.54.0

* Tue Feb 28 2023 EL Errata <el-errata_ww@oracle.com> 2.53.1-1
- Update to 2.53.1

* Tue Feb 21 2023 EL Errata <el-errata_ww@oracle.com> 2.53.0-1
- Update to 2.53.0

* Tue Feb 14 2023 EL Errata <el-errata_ww@oracle.com> 2.52.0-1
- Update to 2.52.0

* Tue Feb 07 2023 EL Errata <el-errata_ww@oracle.com> 2.51.0-1
- Update to 2.51.0

* Tue Jan 31 2023 EL Errata <el-errata_ww@oracle.com> 2.50.4-1
- Update to 2.50.4

* Tue Jan 24 2023 EL Errata <el-errata_ww@oracle.com> 2.50.3-1
- Update to 2.50.3

* Tue Jan 17 2023 EL Errata <el-errata_ww@oracle.com> 2.50.2-1
- Update to 2.50.2

* Tue Jan 10 2023 EL Errata <el-errata_ww@oracle.com> 2.50.1-1
- Update to 2.50.1

* Tue Dec 13 2022 EL Errata <el-errata_ww@oracle.com> 2.50.0-1
- Update to 2.50.0

* Tue Dec 06 2022 EL Errata <el-errata_ww@oracle.com> 2.49.0-1
- Update to 2.49.0

* Tue Nov 15 2022 EL Errata <el-errata_ww@oracle.com> 2.48.1-1
- Update to 2.48.1

* Tue Nov 08 2022 EL Errata <el-errata_ww@oracle.com> 2.48.0-1
- Update to 2.48.0

* Tue Nov 01 2022 EL Errata <el-errata_ww@oracle.com> 2.47.0-1
- Update to 2.47.0

* Tue Oct 25 2022 EL Errata <el-errata_ww@oracle.com> 2.46.0-1
- Update to 2.46.0

* Tue Oct 04 2022 EL Errata <el-errata_ww@oracle.com> 2.45.0-1
- Update to 2.45.0

* Tue Sep 27 2022 EL Errata <el-errata_ww@oracle.com> 2.44.0-1
- Update to 2.44.0

* Tue Sep 20 2022 EL Errata <el-errata_ww@oracle.com> 2.43.0-1
- Update to 2.43.0

* Tue Sep 13 2022 EL Errata <el-errata_ww@oracle.com> 2.42.0-1
- Update to 2.42.0

* Tue Sep 06 2022 EL Errata <el-errata_ww@oracle.com> 2.41.0-1
- Update to 2.41.0

* Tue Aug 30 2022 EL Errata <el-errata_ww@oracle.com> 2.40.1-1
- Update to 2.40.1

* Tue Aug 23 2022 EL Errata <el-errata_ww@oracle.com> 2.40.0-1
- Update to 2.40.0

* Tue Aug 16 2022 EL Errata <el-errata_ww@oracle.com> 2.39.0-1
- Update to 2.39.0

* Tue Aug 09 2022 EL Errata <el-errata_ww@oracle.com> 2.38.0-1
- Update to 2.38.0

* Tue Aug 02 2022 EL Errata <el-errata_ww@oracle.com> 2.37.0-1
- Update to 2.37.0

* Tue Jul 26 2022 EL Errata <el-errata_ww@oracle.com> 2.36.0-1
- Update to 2.36.0

* Tue Jul 19 2022 EL Errata <el-errata_ww@oracle.com> 2.35.1-1
- Update to 2.35.1

* Tue Jul 12 2022 EL Errata <el-errata_ww@oracle.com> 2.35.0-1
- Update to 2.35.0

* Tue Jul 05 2022 EL Errata <el-errata_ww@oracle.com> 2.34.0-1
- Update to 2.34.0

* Tue Jun 28 2022 EL Errata <el-errata_ww@oracle.com> 2.33.0-1
- Update to 2.33.0

* Tue Jun 21 2022 EL Errata <el-errata_ww@oracle.com> 2.32.0-1
- Update to 2.32.0

* Tue Jun 14 2022 EL Errata <el-errata_ww@oracle.com> 2.31.0-1
- Update to 2.31.0

* Tue Jun 07 2022 EL Errata <el-errata_ww@oracle.com> 2.30.0-1
- Update to 2.30.0

* Tue May 31 2022 EL Errata <el-errata_ww@oracle.com> 2.29.0-1
- Update to 2.29.0

* Tue May 24 2022 EL Errata <el-errata_ww@oracle.com> 2.28.0-1
- Update to 2.28.0

* Tue May 17 2022 EL Errata <el-errata_ww@oracle.com> 2.27.0-1
- Update to 2.27.0

* Tue May 10 2022 EL Errata <el-errata_ww@oracle.com> 2.26.0-1
- Update to 2.26.0

* Tue May 03 2022 EL Errata <el-errata_ww@oracle.com> 2.25.0-1
- Update to 2.25.0

* Tue Apr 26 2022 EL Errata <el-errata_ww@oracle.com> 2.24.0-1
- Update to 2.24.0

* Tue Apr 19 2022 EL Errata <el-errata_ww@oracle.com> 2.23.0-1
- Update to 2.23.0

* Tue Apr 12 2022 EL Errata <el-errata_ww@oracle.com> 2.22.0-1
- Update to 2.22.0

* Tue Apr 05 2022 EL Errata <el-errata_ww@oracle.com> 2.21.0-1
- Update to 2.21.0

* Tue Mar 29 2022 EL Errata <el-errata_ww@oracle.com> 2.20.0-1
- Update to 2.20.0

* Tue Mar 22 2022 EL Errata <el-errata_ww@oracle.com> 2.19.0-1
- Update to 2.19.0

* Tue Mar 15 2022 EL Errata <el-errata_ww@oracle.com> 2.18.0-1
- Update to 2.18.0

* Tue Mar 08 2022 EL Errata <el-errata_ww@oracle.com> 2.17.0-1
- Update to 2.17.0

* Tue Mar 01 2022 EL Errata <el-errata_ww@oracle.com> 2.16.0-1
- Update to 2.16.0

* Tue Feb 22 2022 EL Errata <el-errata_ww@oracle.com> 2.15.0-1
- Update to 2.15.0

* Tue Feb 15 2022 EL Errata <el-errata_ww@oracle.com> 2.14.0-1
- Update to 2.14.0

* Tue Feb 08 2022 EL Errata <el-errata_ww@oracle.com> 2.13.0-1
- Update to 2.13.0

* Tue Feb 01 2022 EL Errata <el-errata_ww@oracle.com> 2.12.1-1
- Update to 2.12.1

* Tue Jan 25 2022 EL Errata <el-errata_ww@oracle.com> 2.12.0-1
- Update to 2.12.0

* Tue Jan 18 2022 EL Errata <el-errata_ww@oracle.com> 2.11.1-1
- Update to 2.11.1

* Thu Jan 13 2022 Qing Lin <qing.lin@oracle.com> 2.11.0-1.0.1
- Change nodejs range to support nodejs-14 and nodejs-16

* Tue Jan 11 2022 EL Errata <el-errata_ww@oracle.com> 2.11.0-1
- Update to 2.11.0

* Tue Dec 14 2021 EL Errata <el-errata_ww@oracle.com> 2.10.0-1
- Update to 2.10.0

* Tue Dec 07 2021 EL Errata <el-errata_ww@oracle.com> 2.9.1-1
- Update to 2.9.1

* Tue Nov 30 2021 EL Errata <el-errata_ww@oracle.com> 2.9.0-1
- Update to 2.9.0

* Wed Nov 17 2021 EL Errata <el-errata_ww@oracle.com> 2.8.0-1
- Update to 2.8.0

* Tue Nov 09 2021 EL Errata <el-errata_ww@oracle.com> 2.7.0-1
- Update to 2.7.0

* Tue Nov 02 2021 EL Errata <el-errata_ww@oracle.com> 2.6.1-1
- Update to 2.6.1

* Tue Oct 26 2021 EL Errata <el-errata_ww@oracle.com> 2.6.0-1
- Update to 2.6.0

* Tue Oct 19 2021 EL Errata <el-errata_ww@oracle.com> 2.5.2-1
- Update to 2.5.2

* Tue Oct 12 2021 EL Errata <el-errata_ww@oracle.com> 2.5.1-1
- Update to 2.5.1

* Tue Oct 05 2021 EL Errata <el-errata_ww@oracle.com> 2.5.0-1
- Update to 2.5.0

* Tue Sep 28 2021 EL Errata <el-errata_ww@oracle.com> 2.4.0-1
- Update to 2.4.0

* Tue Sep 14 2021 EL Errata <el-errata_ww@oracle.com> 2.3.1-1
- Update to 2.3.1

* Tue Sep 07 2021 EL Errata <el-errata_ww@oracle.com> 2.3.0-1
- Update to 2.3.0

* Tue Aug 31 2021 EL Errata <el-errata_ww@oracle.com> 2.2.2-1
- Update to 2.2.2

* Tue Aug 24 2021 EL Errata <el-errata_ww@oracle.com> 2.2.1-1
- Update to 2.2.1

* Tue Aug 17 2021 EL Errata <el-errata_ww@oracle.com> 2.2.0-1
- Update to 2.2.0

* Tue Aug 03 2021 EL Errata <el-errata_ww@oracle.com> 2.1.0-1
- Update to 2.1.0

* Tue Jul 27 2021 EL Errata <el-errata_ww@oracle.com> 2.0.1-1
- Update to 2.0.1

* Tue Jul 20 2021 EL Errata <el-errata_ww@oracle.com> 2.0.0-1
- Update to 2.0.0

* Tue Jul 13 2021 EL Errata <el-errata_ww@oracle.com> 1.23.0-1
- Update to 1.23.0

* Tue Jul 06 2021 EL Errata <el-errata_ww@oracle.com> 1.22.1-1
- Update to 1.22.1

* Tue Jun 29 2021 EL Errata <el-errata_ww@oracle.com> 1.22.0-1
- Update to 1.22.0

* Tue Jun 22 2021 EL Errata <el-errata_ww@oracle.com> 1.21.1-1
- Update to 1.21.1

* Tue Jun 15 2021 EL Errata <el-errata_ww@oracle.com> 1.21.0-1
- Update to 1.21.0

* Tue Jun 08 2021 EL Errata <el-errata_ww@oracle.com> 1.20.2-1
- Update to 1.20.2

* Tue Jun 01 2021 EL Errata <el-errata_ww@oracle.com> 1.20.1-1
- Update to 1.20.1

* Tue May 25 2021 EL Errata <el-errata_ww@oracle.com> 1.20.0-1
- Update to 1.20.0

* Tue May 18 2021 EL Errata <el-errata_ww@oracle.com> 1.19.5-1
- Update to 1.19.5

* Tue May 11 2021 EL Errata <el-errata_ww@oracle.com> 1.19.4-1
- Update to 1.19.4

* Tue May 04 2021 EL Errata <el-errata_ww@oracle.com> 1.19.3-1
- Update to 1.19.3

* Tue Apr 27 2021 EL Errata <el-errata_ww@oracle.com> 1.19.2-1
- Update to 1.19.2

* Tue Apr 20 2021 EL Errata <el-errata_ww@oracle.com> 1.19.1-1
- Update to 1.19.1

* Tue Apr 13 2021 EL Errata <el-errata_ww@oracle.com> 1.19.0-1
- Update to 1.19.0

* Tue Apr 06 2021 EL Errata <el-errata_ww@oracle.com> 1.18.1-1
- Update to 1.18.1

* Tue Mar 30 2021 EL Errata <el-errata_ww@oracle.com> 1.18.0-1
- Update to 1.18.0

* Tue Mar 23 2021 EL Errata <el-errata_ww@oracle.com> 1.17.0-1
- Update to 1.17.0

* Tue Mar 16 2021 EL Errata <el-errata_ww@oracle.com> 1.16.2-1
- Update to 1.16.2

* Tue Mar 09 2021 EL Errata <el-errata_ww@oracle.com> 1.16.1-1
- Update to 1.16.1

* Tue Mar 02 2021 EL Errata <el-errata_ww@oracle.com> 1.16.0-1
- Update to 1.16.0

* Tue Feb 23 2021 EL Errata <el-errata_ww@oracle.com> 1.15.2-1
- Update to 1.15.2

* Wed Feb 17 2021 EL Errata <el-errata_ww@oracle.com> 1.15.1-1
- Update to 1.15.1

* Tue Feb 02 2021 EL Errata <el-errata_ww@oracle.com> 1.14.0-1
- Update to 1.14.0

* Tue Jan 26 2021 EL Errata <el-errata_ww@oracle.com> 1.13.0-1
- Update to 1.13.0

* Tue Jan 19 2021 EL Errata <el-errata_ww@oracle.com> 1.12.0-1
- Update to 1.12.0

* Tue Jan 12 2021 EL Errata <el-errata_ww@oracle.com> 1.11.0-1
- Update to 1.11.0

* Tue Dec 15 2020 EL Errata <el-errata_ww@oracle.com> 1.10.0-1
- Update to 1.10.0

* Tue Dec 08 2020 EL Errata <el-errata_ww@oracle.com> 1.9.1-1
- Update to 1.9.1

* Tue Dec 01 2020 EL Errata <el-errata_ww@oracle.com> 1.9.0-1
- Update to 1.9.0

* Tue Nov 17 2020 EL Errata <el-errata_ww@oracle.com> 1.8.0-1
- Update to 1.8.0

* Mon Nov 16 2020 Qing Lin <qing.lin@oracle.com> 1.7.0-1.0.1
- Change the dependencies on nodejs to equal 10.15.3

* Tue Nov 03 2020 EL Errata <el-errata_ww@oracle.com> 1.6.3-1
- Update to 1.6.3

* Tue Oct 27 2020 EL Errata <el-errata_ww@oracle.com> 1.6.2-1
- Update to 1.6.2

* Thu Oct 22 2020 Alan Steinberg <alan.steinberg@oracle.com> - 1.6.1
- Update to 1.6.1 for Oracle build

* Wed Oct 14 2020 Qing Lin <qing.lin@oracle.com> - 1.6.0
- Initial RPM release. 

* Fri Sep 11 2020 Qing Lin <qing.lin@oracle.com> - 1.5.6
- Initial build. Pack it from npm. 

